//基本信息表格单元格
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:flutter_widget_from_html_core/flutter_widget_from_html_core.dart';

class BasicTableCell extends StatelessWidget {
  final String content;
  final bool isBold;
  const BasicTableCell(this.content,this.isBold,{Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: Alignment.centerLeft,
      height: double.infinity,
        padding: EdgeInsets.symmetric(vertical:6.r,horizontal: 8.r),
        decoration: BoxDecoration(
            color: isBold?Colors.white:Color(0xFFF5F7FF),
        ),
        child: Text(content,style: TextStyle(fontSize: 12.sp,color: isBold?Colors.black:Color(0xFF505767),fontWeight: isBold?FontWeight.w500:FontWeight.w400),
          textAlign: TextAlign.left,)
    );
  }
}